# multiway_mergesort.h File Reference

## Detailed Description

Parallel multiway merge sort. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file multiway_mergesort.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Classes

- struct __gnu_parallel::Piece< _DifferenceTp >
    Subsequence description. More...
- struct __gnu_parallel::PMWMSSortingData< RandomAccessIterator >
    Data accessed by all threads. More...

## Defines

- #define _GLIBCXX_PARALLEL_MERGESORT_H

## Functions

- template<typename RandomAccessIterator, typename _DifferenceTp> void __gnu_parallel::determine_samples (PMWMSSortingData< RandomAccessIterator > *sd, _DifferenceTp &num_samples)
- template<typename RandomAccessIterator, typename Comparator> void __gnu_parallel::parallel_sort_mwms (RandomAccessIterator begin, RandomAccessIterator end, Comparator comp, typename std::iterator_traits< RandomAccessIterator >::difference_type n, int num_threads, bool stable)
- template<typename RandomAccessIterator, typename Comparator> void __gnu_parallel::parallel_sort_mwms_pu (PMWMSSortingData< RandomAccessIterator > *sd, Comparator &comp)